"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getUnsupportedCommandError = exports.getSqlExecutionError = exports.getInvalidRequestError = exports.getInvalidDatabaseError = void 0;

var _mappers = require("./mappers");

const ERROR_INVALID_REQUEST = 1;
const ERROR_DATABASE_INVALID = 2;
const ERROR_SQL_EXECUTION_EXCEPTION = 3;
const ERROR_UNSUPPORTED_COMMAND = 4;
const ERROR_INVALID_REQUEST_MESSAGE = 'The request received was invalid';
const ERROR_DATABASE_INVALID_MESSAGE = 'Could not access database';

const getInvalidRequestError = () => (0, _mappers.toErrorFlipperObject)(ERROR_INVALID_REQUEST, ERROR_INVALID_REQUEST_MESSAGE);

exports.getInvalidRequestError = getInvalidRequestError;

const getInvalidDatabaseError = () => (0, _mappers.toErrorFlipperObject)(ERROR_DATABASE_INVALID, ERROR_DATABASE_INVALID_MESSAGE);

exports.getInvalidDatabaseError = getInvalidDatabaseError;

const getUnsupportedCommandError = commandName => (0, _mappers.toErrorFlipperObject)(ERROR_UNSUPPORTED_COMMAND, `Command '${commandName}' is NOT supported`);

exports.getUnsupportedCommandError = getUnsupportedCommandError;

const getSqlExecutionError = error => (0, _mappers.toErrorFlipperObject)(ERROR_SQL_EXECUTION_EXCEPTION, String(error));

exports.getSqlExecutionError = getSqlExecutionError;
//# sourceMappingURL=errors.js.map