"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WatermelonDB = exports.VasernDB = exports.SQLiteStorage = exports.RealmDB = exports.QuickSQLiteStorage = exports.PouchDB = void 0;
exports.connectDatabases = connectDatabases;

var _reactNativeFlipper = require("react-native-flipper");

var _databasesFlipperPlugin = require("./databasesFlipperPlugin");

var _pouchdb = require("./drivers/pouchdb");

var _QuickSQLite = require("./drivers/QuickSQLite");

var _realm = require("./drivers/realm");

var _SQLiteStorage = require("./drivers/SQLiteStorage");

var _vasern = require("./drivers/vasern");

var _watermelondb = require("./drivers/watermelondb");

function connectDatabases(databaseDrivers) {
  (0, _reactNativeFlipper.addPlugin)(new _databasesFlipperPlugin.DatabasesFlipperPlugin(databaseDrivers));
}

const WatermelonDB = _watermelondb.WatermelonDBDriver;
exports.WatermelonDB = WatermelonDB;
const RealmDB = _realm.RealmDriver;
exports.RealmDB = RealmDB;
const PouchDB = _pouchdb.PouchDBDriver;
exports.PouchDB = PouchDB;
const VasernDB = _vasern.VasernDriver;
exports.VasernDB = VasernDB;
const SQLiteStorage = _SQLiteStorage.SQLiteStorageDriver;
exports.SQLiteStorage = SQLiteStorage;
const QuickSQLiteStorage = _QuickSQLite.QuickSQLiteStorageDriver;
exports.QuickSQLiteStorage = QuickSQLiteStorage;
//# sourceMappingURL=index.js.map