import { toErrorFlipperObject } from './mappers';
const ERROR_INVALID_REQUEST = 1;
const ERROR_DATABASE_INVALID = 2;
const ERROR_SQL_EXECUTION_EXCEPTION = 3;
const ERROR_UNSUPPORTED_COMMAND = 4;
const ERROR_INVALID_REQUEST_MESSAGE = 'The request received was invalid';
const ERROR_DATABASE_INVALID_MESSAGE = 'Could not access database';
export const getInvalidRequestError = () => toErrorFlipperObject(ERROR_INVALID_REQUEST, ERROR_INVALID_REQUEST_MESSAGE);
export const getInvalidDatabaseError = () => toErrorFlipperObject(ERROR_DATABASE_INVALID, ERROR_DATABASE_INVALID_MESSAGE);
export const getUnsupportedCommandError = commandName => toErrorFlipperObject(ERROR_UNSUPPORTED_COMMAND, `Command '${commandName}' is NOT supported`);
export const getSqlExecutionError = error => toErrorFlipperObject(ERROR_SQL_EXECUTION_EXCEPTION, String(error));
//# sourceMappingURL=errors.js.map