import type { DatabaseDescriptorHolder, DatabaseDriver } from './types';
export declare class DatabasesManager {
    private dbDrivers;
    private ddHolderMap;
    constructor(dbDrivers: DatabaseDriver[]);
    init(): void;
    getDatabases(): Promise<IterableIterator<DatabaseDescriptorHolder>>;
    getTableStructure(databaseId: number, tableName: string): Promise<import("./types").DatabaseGetTableStructureResponse | null>;
    getTableData(databaseId: number, tableName: string, order: string | undefined, reverse: boolean, start: number, count: number): Promise<import("./types").DatabaseGetTableDataResponse | null>;
    getTableInfo(databaseId: number, tableName: string): Promise<import("./types").DatabaseGetTableInfoResponse | null>;
    executeSql(databaseId: number, sqlString: string): Promise<import("./types").DatabaseExecuteSQLResponse | null>;
    private preloadDatabases;
}
