import type { openDatabase } from 'react-native-quick-sqlite';
import type { DatabaseDescriptor, DatabaseDriver, DatabaseExecuteSQLResponse, DatabaseGetTableDataResponse, DatabaseGetTableInfoResponse, DatabaseGetTableStructureResponse } from '../types';
declare type QuickSQLiteDatabaseDescription = DatabaseDescriptor & {
    database: ReturnType<typeof openDatabase>;
};
export declare class QuickSQLiteStorageDriver implements DatabaseDriver<QuickSQLiteDatabaseDescription> {
    private readonly databases;
    constructor(databases: QuickSQLiteDatabaseDescription[]);
    getDatabases(): Promise<QuickSQLiteDatabaseDescription[]>;
    getTableNames({ database }: QuickSQLiteDatabaseDescription): Promise<string[]>;
    getTableStructure({ database }: QuickSQLiteDatabaseDescription, schema: string): Promise<DatabaseGetTableStructureResponse>;
    getTableData(databaseDescriptor: QuickSQLiteDatabaseDescription, schema: string, order: string | undefined, reverse: boolean, start: number, count: number): Promise<DatabaseGetTableDataResponse>;
    getTableInfo({ database }: QuickSQLiteDatabaseDescription, table: string): Promise<DatabaseGetTableInfoResponse>;
    executeSql(): Promise<DatabaseExecuteSQLResponse>;
}
export {};
