import type { SQLiteDatabase } from 'react-native-sqlite-storage';
import type { DatabaseDescriptor, DatabaseDriver, DatabaseExecuteSQLResponse, DatabaseGetTableDataResponse, DatabaseGetTableInfoResponse, DatabaseGetTableStructureResponse } from '../types';
declare type SQLiteDatabaseDescription = DatabaseDescriptor & {
    database: SQLiteDatabase;
};
export declare class SQLiteStorageDriver implements DatabaseDriver<SQLiteDatabaseDescription> {
    private readonly databases;
    constructor(databases: SQLiteDatabaseDescription[]);
    getDatabases(): Promise<SQLiteDatabaseDescription[]>;
    getTableNames({ database }: SQLiteDatabaseDescription): Promise<string[]>;
    getTableStructure({ database }: SQLiteDatabaseDescription, schema: string): Promise<DatabaseGetTableStructureResponse>;
    getTableData(databaseDescriptor: SQLiteDatabaseDescription, schema: string, order: string | undefined, reverse: boolean, start: number, count: number): Promise<DatabaseGetTableDataResponse>;
    getTableInfo({ database }: SQLiteDatabaseDescription, table: string): Promise<DatabaseGetTableInfoResponse>;
    executeSql(_databaseDescriptor: SQLiteDatabaseDescription, _query: string): Promise<DatabaseExecuteSQLResponse>;
}
export {};
