import type Realm from 'realm';
import type { DatabaseDescriptor, DatabaseDriver, DatabaseExecuteSQLResponse, DatabaseGetTableDataResponse, DatabaseGetTableInfoResponse, DatabaseGetTableStructureResponse } from '../types';
export declare class RealmDriver implements DatabaseDriver {
    private readonly name;
    private readonly realm;
    constructor(name: string, realm: Realm);
    getDatabases(): Promise<DatabaseDescriptor[]>;
    getTableNames(_databaseDescriptor: DatabaseDescriptor): Promise<string[]>;
    getTableStructure(_databaseDescriptor: DatabaseDescriptor, schema: string): Promise<DatabaseGetTableStructureResponse>;
    getTableData(_databaseDescriptor: DatabaseDescriptor, schema: string, order: string | undefined, reverse: boolean, start: number, count: number): Promise<DatabaseGetTableDataResponse>;
    getTableInfo(_databaseDescriptor: DatabaseDescriptor, table: string): Promise<DatabaseGetTableInfoResponse>;
    executeSql(_databaseDescriptor: DatabaseDescriptor, _query: string): Promise<DatabaseExecuteSQLResponse>;
}
export declare function getCellValue(row: Record<string, unknown>, columnName: string): unknown;
