import type Vasern from 'vasern';
import type { DatabaseDescriptor, DatabaseDriver, DatabaseExecuteSQLResponse, DatabaseGetTableDataResponse, DatabaseGetTableInfoResponse, DatabaseGetTableStructureResponse } from '../types';
export declare class VasernDriver implements DatabaseDriver {
    private readonly database;
    private readonly databaseName;
    constructor(database: Vasern);
    getDatabases(): Promise<DatabaseDescriptor[]>;
    getTableNames(_databaseDescriptor: DatabaseDescriptor): Promise<string[]>;
    getTableStructure(_databaseDescriptor: DatabaseDescriptor, table: string): Promise<DatabaseGetTableStructureResponse>;
    getTableData(_databaseDescriptor: DatabaseDescriptor, table: string, order: string | undefined, reverse: boolean, start: number, _count: number): Promise<DatabaseGetTableDataResponse>;
    getTableInfo(_databaseDescriptor: DatabaseDescriptor, table: string): Promise<DatabaseGetTableInfoResponse>;
    executeSql(_databaseDescriptor: DatabaseDescriptor, _query: string): Promise<DatabaseExecuteSQLResponse>;
}
