import type { Database } from '@nozbe/watermelondb';
import type { DatabaseDescriptor, DatabaseDriver, DatabaseExecuteSQLResponse, DatabaseGetTableDataResponse, DatabaseGetTableInfoResponse, DatabaseGetTableStructureResponse } from '../types';
export declare class WatermelonDBDriver implements DatabaseDriver {
    private readonly database;
    private readonly databaseName;
    constructor(database: Database);
    getDatabases(): Promise<DatabaseDescriptor[]>;
    getTableNames(_databaseDescriptor: DatabaseDescriptor): Promise<string[]>;
    getTableStructure(_databaseDescriptor: DatabaseDescriptor, table: string): Promise<DatabaseGetTableStructureResponse>;
    getTableData(_databaseDescriptor: DatabaseDescriptor, table: string, order: string | undefined, reverse: boolean, start: number, count: number): Promise<DatabaseGetTableDataResponse>;
    getTableInfo(_databaseDescriptor: DatabaseDescriptor, table: string): Promise<DatabaseGetTableInfoResponse>;
    executeSql(_databaseDescriptor: DatabaseDescriptor, _query: string): Promise<DatabaseExecuteSQLResponse>;
}
